package com.yiqi.app.service.impl;

import java.util.List;
import com.yiqi.common.utils.DateUtils;
import com.yiqi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yiqi.app.mapper.AppNotifyMapper;
import com.yiqi.app.domain.AppNotify;
import com.yiqi.app.service.IAppNotifyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 消息通知Service业务层处理
 *
 * @author xiaohei
 * @date 2023-09-01
 */
@Service
public class AppNotifyServiceImpl extends ServiceImpl<AppNotifyMapper,AppNotify> implements IAppNotifyService {

    /**
     * 查询消息通知
     *
     * @param id 消息通知主键
     * @return 消息通知
     */
    @Override
    public AppNotify selectAppNotifyById(Long id) {
        return baseMapper.selectAppNotifyById(id);
    }

    /**
     * 查询消息通知列表
     *
     * @param appNotify 消息通知
     * @return 消息通知
     */
    @Override
    public List<AppNotify> selectAppNotifyList(AppNotify appNotify) {
        return baseMapper.selectAppNotifyList(appNotify);
    }

    /**
     * 新增消息通知
     *
     * @param appNotify 消息通知
     * @return 结果
     */
    @Override
    public int insertAppNotify(AppNotify appNotify) {
        appNotify.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertAppNotify(appNotify);
    }

    /**
     * 修改消息通知
     *
     * @param appNotify 消息通知
     * @return 结果
     */
    @Override
    public int updateAppNotify(AppNotify appNotify) {
        appNotify.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateAppNotify(appNotify);
    }

    /**
     * 批量删除消息通知
     *
     * @param ids 需要删除的消息通知主键
     * @return 结果
     */
    @Override
    public int deleteAppNotifyByIds(Long[] ids) {
        return baseMapper.deleteAppNotifyByIds(ids);
    }

    /**
     * 删除消息通知信息
     *
     * @param id 消息通知主键
     * @return 结果
     */
    @Override
    public int deleteAppNotifyById(Long id) {
        return baseMapper.deleteAppNotifyById(id);
    }



}
